Page MenuHomePhabricator

Have extensions with dependencies use the generic mwext-testextension-* job
Closed, ResolvedPublic

Description

We can store the mapping of project to dependencies to a yaml file and write a custom zuul function to add it as an env variable.

Details

Related Objects

Event Timeline

Legoktm created this task.Apr 21 2015, 3:14 PM
Legoktm claimed this task.
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2015, 3:14 PM
Krinkle triaged this task as Medium priority.Apr 21 2015, 3:21 PM
Krinkle set Security to None.
Krinkle moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
Krinkle added a subscriber: hashar.

Change 207132 had a related patch set uploaded (by Legoktm):
Use generic phpunit job for extensions with dependencies

https://gerrit.wikimedia.org/r/207132

Change 207132 merged by jenkins-bot:
Use generic phpunit job for extensions with dependencies

https://gerrit.wikimedia.org/r/207132

Legoktm renamed this task from Have extensions with dependencies use the shared mwext-testextension-* job to Have extensions with dependencies use the generic mwext-testextension-* job.May 19 2015, 2:50 PM

Change 221328 had a related patch set uploaded (by Legoktm):
Convert MassMessage and GWToolset to use generic phpunit job

https://gerrit.wikimedia.org/r/221328

Change 221328 merged by jenkins-bot:
Convert MassMessage and GWToolset to use generic phpunit job

https://gerrit.wikimedia.org/r/221328

Change 221329 had a related patch set uploaded (by Legoktm):
Use generic jobs for GuidedTour & ImageMetrics

https://gerrit.wikimedia.org/r/221329

Change 221329 merged by jenkins-bot:
Use generic jobs for GuidedTour & ImageMetrics

https://gerrit.wikimedia.org/r/221329

Paladox closed this task as Resolved.Mar 31 2016, 5:01 PM

This is all done now. the non generic test went away with https://gerrit.wikimedia.org/r/#/c/280237/

Well handled @Paladox . Thank you very much.